Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Interface CompactionManagerMBean

All Known Implementing Classes:
  CompactionManager

    public interface CompactionManagerMBean

Method Summary
`java.lang.Long` | `getBytesCompacted()`
`java.lang.Long` | `getBytesTotalInProgress()`
`java.lang.String` | `getColumnFamilyInProgress()`
`int` | `getMaximumCompactionThreshold()` Gets the maximum number of sstables in queue before compaction kicks off
`int` | `getMinimumCompactionThreshold()` Gets the minimum number of sstables in queue before compaction kicks off
`int` | `getPendingTasks()`
`void` | `setMaximumCompactionThreshold(int threshold)` Sets the maximum number of sstables in queue before compaction kicks off
`void` | `setMinimumCompactionThreshold(int threshold)` Sets the minimum number of sstables in queue before compaction kicks off

Method Detail

### getMinimumCompactionThreshold

    int getMinimumCompactionThreshold()

  Gets the minimum number of sstables in queue before compaction kicks off

### setMinimumCompactionThreshold

    void setMinimumCompactionThreshold(int threshold)

  Sets the minimum number of sstables in queue before compaction kicks off

### getMaximumCompactionThreshold

    int getMaximumCompactionThreshold()

  Gets the maximum number of sstables in queue before compaction kicks off

### setMaximumCompactionThreshold

    void setMaximumCompactionThreshold(int threshold)

  Sets the maximum number of sstables in queue before compaction kicks off

### getColumnFamilyInProgress

    java.lang.String getColumnFamilyInProgress()

  Returns:
    the columnfamily currently being compacted; null if none

### getBytesTotalInProgress

    java.lang.Long getBytesTotalInProgress()

  Returns:
    the total (data, not including index and filter) bytes being compacted; null if none

### getBytesCompacted

    java.lang.Long getBytesCompacted()

  Returns:
    the progress on the current compaction; null if none

### getPendingTasks

    int getPendingTasks()

  Returns:
    estimated number of compactions remaining to perform

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation